AMQPQueue::bind
AMQPQueue::__construct
AMQPQueue
PHP Manual

# AMQPQueue::cancel

Cancel a queue binding.

### Description

public bool AMQPQueue::cancel ([ string `$consumer_tag` = "" ] )

Cancel a queue that is already bound to an exchange and routing key.

### Parameters

`consumer_tag`

  The queue name to cancel, if the queue object is not already representative of a queue.

### Errors/Exceptions

Throws AMQPChannelException if the channel is not open.

Throws AMQPConnectionException if the connection to the broker was lost.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.